## org.apache.jk.common
Class ChannelNioSocket.SocketInputStream

    java.lang.Object
      java.io.InputStream
          org.apache.jk.common.ChannelNioSocket.SocketInputStream

Enclosing class:
  ChannelNioSocket

protected class ChannelNioSocket.SocketInputStream
extends java.io.InputStream

Method Summary
`int` `available()`
`void` `mark(int readlimit)`
`boolean` `markSupported()`
`int` `read()`
`int` `read(byte[] data)`
`int` `read(byte[] data, int offset, int len)`
`void` `reset()`

Methods inherited from class java.io.InputStream
`close, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### available

    public int available()

### mark

    public void mark(int readlimit)

### markSupported

    public boolean markSupported()

### reset

    public void reset()

### read

    public int read()
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    public int read(byte[] data)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    public int read(byte[] data,
                    int offset,
                    int len)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.